@17140@
@13830@
@13245@
@13635@
@13440@
@13245@

Modified by Robert H”hne to be used for RHIDE.

@13245@
@13245@
@14024@

@14537@
@16849@
@16745@

TParamText::TParamText( const TRect& bounds,
                        const char *aText,
                        int aParamCount ) :
    TStaticText(bounds, aText),
    paramCount( aParamCount ),
    paramList( 0 )
@23372@
@24151@

uint32 TParamText::dataSize()
@23372@
    return paramCount * sizeof(long);
@24151@

@21787@
@23372@
@08990@
@03454@
@07986@
        vsprintf( s, text, paramList );
@24151@

void TParamText::setData( void *rec )
@23372@
    paramList = &rec;
@24151@

#if !defined( NO_STREAM )
void TParamText::write( opstream& os )
@23372@
@07066@
    os << paramCount;
@24151@

void *TParamText::read( ipstream& is )
@23372@
@07064@
    is >> paramCount;
    paramList = 0;
@10299@
@24151@

@19583@
@23372@
@10153@
@24151@

@19483@
@23372@
@24151@
#endif // NO_STREAM


